SourceID Docs

Create a New Customer

This endpoint allows you to create a new customer in the system.

Endpoint: POST {baseurl}/v1/api/customer

Body Parameters

ParameterTypeRequiredDescription
primaryEmailstringYesThe primary email address of the customer. Must be a valid email format.
businessNamestringNoThe name of the business associated with the customer. Required if type is business.
secondaryEmailsarrayNoA list of secondary email addresses for the customer.
primaryPhoneNumberstringNoThe primary phone number of the customer. Must include country code.
typestringYesThe type of customer. Possible values: individual, business.
secondaryPhoneNumbersarrayNoA list of secondary phone numbers for the customer. Must include country code.
firstNamestringConditionalThe first name of the customer. Required if type is individual.
lastNamestringConditionalThe last name of the customer. Required if type is individual.
middleNamestringNoThe middle name of the customer (optional).
countrystringYesThe country of the customer. Must be a 3-character country code. If country is not provided the default will be Nigeria
statestringNoThe state of the customer.
dateOfBirthstringNoThe date of birth of the customer in YYYY-MM-DD format. Required if type is individual.
genderstringNoThe gender of the customer. Possible values: male, female, other. Required if type is individual.

Sample Request

curl -X POST "{baseurl}/v1/api/customer" \
-H "Content-Type: application/json" \
-H "x-api-key: {API-KEY}" \
-d '{
    "primaryEmail": "test@denrox.com",
    "businessName": "Denrox PLC.",
    "secondaryEmails": [
        "test@denrox.com"
    ],
    "primaryPhoneNumber": "+1234567890",
    "type": "individual",
    "secondaryPhoneNumbers": [
        "+1234567890"
    ],
    "firstName": "John",
    "lastName": "Doe",
    "middleName": "developer",
    "country": "USA",
    "state": "Delaware",
    "dateOfBirth": "2025-01-01",
    "gender": "male"
}'

Sample Response

{
    "sid": "string",
    "customer": {
        "id": "string",
        "primaryEmail": "string",
        "businessName": "string",
        "secondaryEmails": "string",
        "firstName": "string",
        "lastName": "string",
        "dateOfBirth": "string",
        "verified": true
    }
}